Add PSR contract
Replace this federation's PSR contract with the given list of rule strings.
Replace this federation's PSR contract with the given list of rule strings.
Authorization
SymetryMLAuth HMAC-SHA256 signature-based authentication: requests are signed with
your secret key and sent with the Customer-ID, Sym-date,
Authorization, Content-MD5 and sym-version headers.
See SymetryML REST API Security
for the signature algorithm and a complete example.
In: header
Path Parameters
User/Customer identifier
Project identifier
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/c1/fedml/nbra_prj_iris/addContract" \ -H "Content-Type: application/json" \ -d '{ "values": [ "COUNT(sepal_length) >= 0", "COUNT(Iris_setosa) >= 0" ] }'{ "statusCode": 200, "statusString": "OK", "values": {}}{ "statusCode": 500, "statusString": "Error Invalid project name / or not logged in.", "values": {}}Create federation join POST
Join an existing federation using the encrypted invite obtained from the admin's `getEncrypted`/`getInvitation` call. Creates the local project, then — unless `skipCreatePolicies` is `true` — validates the join token back with the group admin before sending an initial heartbeat.
Submit AWS federation information POST
Schedules an asynchronous job that fetches AWS account/topic information for this federation using the given credentials.